### Enumeration

# Ggit ResetType

#### Declaration

    enum Ggit.ResetType

#### Description [src]

Describes the type of reset to perform.

#### Members

`GGIT_RESET_SOFT`

  The head will be moved to the commit.

  - Value: `1`
  - Available since: 1.0
`GGIT_RESET_MIXED`

  The head will be moved to the commit and the index will be replaced with the content of the commit tree.

  - Value: `2`
  - Available since: 1.0
`GGIT_RESET_HARD`

  MIXED plus changes in working tree discarded.

  - Value: `3`
  - Available since: 1.0